#
# spec file for package bridge-utils
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bridge-utils
BuildRequires:  automake
BuildRequires:  libsysfs
Version:        1.5
Release:        24.1
Url:            http://www.linux-foundation.org/en/Net:Bridge
Summary:        Utilities for Configuring the Linux Ethernet Bridge
License:        GPL-2.0+
Group:          Productivity/Networking/Routing
Source:         http://downloads.sourceforge.net/project/bridge/bridge/%{name}-%{version}.tar.gz
Patch:          %{name}-%{version}-hz.diff
Patch1:         %{name}-%{version}-optflags.patch
Patch2:         bridge-utils-1.5-ip6.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains utilities for configuring the Linux ethernet
bridge. The Linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connection is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
The %{name} devel package contains files needed for development.

%prep
%setup -q
%patch
%patch1
%patch2

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 755 $RPM_BUILD_ROOT/sbin
#UsrMerge
ln -sf %{_sbindir}/brctl $RPM_BUILD_ROOT/sbin
#EndUsrMerge
install -D -m 644 libbridge/libbridge.h %{buildroot}%{_includedir}/libbridge.h
install -D -m 644 libbridge/libbridge.a %{buildroot}%{_libdir}/libbridge.a

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README THANKS TODO doc/[FHPRSW]*
%doc %{_mandir}/man?/*
%{_sbindir}/*
#UsrMerge
/sbin/*
#EndUsrMerge

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*

%changelog
* Mon May 27 2013 mhrusecky@suse.cz
- added missing include to fix build in factory
  bridge-utils-1.5-ip6.patch
* Thu Mar 21 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Thu Feb  2 2012 rschweikert@suse.com
- Create -devel package to fix rpmlint errors
- Keep the binary in /usr/sbin, create link to /sbin (UsrMerge project)
  This does not effect resolution of #707837 as /sbin/brctl can still be
  found. systemd properly supports separate /usr
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Tue Aug 30 2011 andrea.turrini@gmail.com
- removed duplicated "Authors:" from description of bridge-utils.spec
* Mon Jul 25 2011 lidongyang@novell.com
- bnc#707837 - network:utilities/bridge-utils: Bug in Factory 12.1
  brctl has changed from /sbin to /usr/sbin
  revert the changes made to %%install section of the spec file
* Wed Jun  8 2011 lidongyang@novell.com
- update to 1.5
* Sun Dec 20 2009 jengelh@medozas.de
- enable parallel build
* Tue May  6 2008 crrodriguez@suse.de
- fix for Feature No 300498 , use RPM_OPT_FLAGS everywhere.
* Wed Jan  9 2008 prusnak@suse.cz
- update to 1.4
* Tue Oct 17 2006 mjancar@suse.cz
- update to 1.2
  * Fixed bug where setting port priority set path cost instead
* Tue Aug  8 2006 ro@suse.de
- define HZ to sysconf(_SC_CLK_TCK) if not defined
* Thu Jul 27 2006 mjancar@suse.cz
- update to 1.1
  * Change to use libsysfs 2.0
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Mon Aug  1 2005 mjancar@suse.cz
- update to 1.0.6
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Fri Aug 13 2004 mjancar@suse.cz
- update to 1.0.4
* Fri Jun 20 2003 mjancar@suse.cz
- initial version 0.9.6
